{
  "codeName" : "Usr0301580782",
  "controlType" : "TREEVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone/PSTREEVIEWS/Usr0301580782.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "实体树导航_树视图",
  "mOSFilePath" : "psmodules/common/psdataentities/PHONE/psdetreeviews/Usr0301580782",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE",
    "logicTag" : "treeexpbar_tree",
    "logicType" : "CUSTOM",
    "name" : "treeexpbar_selectionchange"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "treeexpbar_tree",
    "logicType" : "CUSTOM",
    "name" : "treeexpbar_load"
  } ],
  "getPSDETreeNodes" : [ {
    "counterMode" : 0,
    "name" : "默认根节点",
    "nodeType" : "ROOT",
    "nodeValue" : "root",
    "text" : "默认根节点",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : false,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : true,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "ROOT"
  } ],
  "rTMOSFilePath" : "pssysapps/TemplatePublish/psappdeviews/phoneUsr0301842414TreeExpView/psappviewctrls/treeexpbar_tree",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "treeGridMode" : 0,
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "enableRootSelect" : false,
  "outputIconDefault" : true,
  "rootVisible" : false,
  "modelid" : "83F0F810-FBA5-4D58-845F-60657ED45D67",
  "modeltype" : "PSDETREEVIEW"
}